Tasks
List tasks
List tasks assigned to the authenticated user, with optional filtering by campaign, status, or type.
GET
List tasks
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Filter tasks by the campaign they belong to.
Filter tasks by status.
Available options:
DRAFT, TODO, QUEUED, SCHEDULED, STARTED, RETRYING, PAUSED, COMPLETED, PASTDUE, ARCHIVED, ERROR, CANCELED, SKIPPED, DUE_TODAY, DELETED Filter tasks by type.
Available options:
email, auto-email, manual-email, bulkEmail, call, linkedIn, linkedin-message, linkedin-connect-request, custom, default Maximum number of tasks to return (1-50, default 25).
Required range:
1 <= x <= 50Number of tasks to skip for pagination (default 0).
Required range:
x >= 0Column to sort the results by (default createdAt).
Sort direction (default desc).
Available options:
asc, desc 